Bug 2022654 - [Doc] cdi-Importer & migration pods and all related resources are not removed when the Plan is Removed
Summary: [Doc] cdi-Importer & migration pods and all related resources are not remove...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Migration Toolkit for Virtualization
Classification: Red Hat
Component: Documentation
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.2.0
Assignee: Avital Pinnick
QA Contact: Maayan Hadasi
Avital Pinnick
URL:
Whiteboard:
Depends On: 2018974
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-12 10:02 UTC by Ilanit Stein
Modified: 2021-11-14 14:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2018974
Environment:
Last Closed: 2021-11-14 14:06:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ilanit Stein 2021-11-12 10:02:57 UTC
As the below Bug #2018974 will not be resolved for MTV-2.2,
It needs to be documented that when deleting a migration plan,
cdi-Importer & migration pods and all  related resources are not removed

See also this MTV-2.2 UI bug that will display a message on that in UI when deleting a plan:
Bug 2022651 - [UI] Add the Delete migration plan message that the related resources will remain

Once Bug #2018974 will be resolved, the Doc/UI message will need to change to notify the resources will be deleted.

 
+++ This bug was initially created as a clone of Bug #2018974 +++

Description of problem:

Deleting a Plan (ui+API) doesn't remove the migration importer & migration PODS




Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1.Run A successful migration and delete it
2.
3.

Actual results:
cdi-import and the conversion pods are not removed.


Expected results:
cdi-import and the conversion pods should be removed.

Additional info:

--- Additional comment from Sam Lucidi on 2021-11-09 01:05:51 UTC ---

After talking this over with Jeff, it's clear to me that we can't proceed with the finalizer-based solution I proposed. Jeff mentioned that MTC had the same problem they attempted a finalizer-based solution as well, but finalizers are inherently fraught with issues (race conditions preventing resources from being deleted, etc), and that approach was abandoned. Unfortunately, there's no alternative that would let us archive the plan upon deletion. We should document that the user must archive the plan before deleting it if they want the plan's resources to be removed, and perhaps we could have the UI warn before allowing an unarchived Plan to be deleted.

Comment 4 Avital Pinnick 2021-11-14 14:06:49 UTC
Changes merged.


Note You need to log in before you can comment on or make changes to this bug.